# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Build.pm) perl(App/Options.pm) perl(CGI.pm) perl(File/Spec.pm) perl(GD.pm) perl(Module/Build.pm)
# END SourceDeps(oneline)
%define module_version 0.13
%define module_name js-app
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt1
Summary: A framework for building dynamic widgets or full applications in Javascript
Group: Development/Perl
License: lgpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SP/SPADKINS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package web-scripts
Summary: %name web scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description web-scripts
web scripts for %name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
mkdir -p %buildroot/var/www
mv %buildroot/cgi-bin %buildroot/htdocs %buildroot/var/www


%files
%doc README TODO CHANGES
%perl_vendor_privlib/J*
%perl_vendor_privlib/js-app.pod

%files web-scripts
/var/www/*


%changelog
* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

